- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::TRect< T > Struct Template Reference

`#include <OgreCommon.h>`

List of all members.

## Public Member Functions
| TRect ()
| TRect (T const &l, T const &t, T const &r, T const &b)
| TRect (TRect const &o)
TRect & | operator= (TRect const &o)
T | width () const
T | height () const
## Public Attributes
T | left
T | top
T | right
T | bottom

## Detailed Description

### template<typename T>
struct Ogre::TRect< T >

Definition at line 302 of file OgreCommon.h.

## Constructor & Destructor Documentation

template<typename T>

Ogre::TRect< T >::TRect | ( |  | ) |

Definition at line 305 of file OgreCommon.h.

template<typename T>

Ogre::TRect< T >::TRect | ( | T const & | l,
|  | T const & | t,
|  | T const & | r,
|  | T const & | b |
| ) |  |  |

Definition at line 306 of file OgreCommon.h.

template<typename T>

Ogre::TRect< T >::TRect | ( | TRect< T > const & | o | ) |

Definition at line 310 of file OgreCommon.h.

## Member Function Documentation

template<typename T>

TRect& Ogre::TRect< T >::operator= | ( | TRect< T > const & | o | ) |

Definition at line 314 of file OgreCommon.h.

References Ogre::TRect< T >::bottom, Ogre::TRect< T >::left, Ogre::TRect< T >::right, and Ogre::TRect< T >::top.

template<typename T>

T Ogre::TRect< T >::width | ( |  | ) | const

Definition at line 322 of file OgreCommon.h.

References Ogre::TRect< T >::left, and Ogre::TRect< T >::right.

template<typename T>

T Ogre::TRect< T >::height | ( |  | ) | const

Definition at line 326 of file OgreCommon.h.

References Ogre::TRect< T >::bottom, and Ogre::TRect< T >::top.

## Member Data Documentation

template<typename T>

T Ogre::TRect< T >::left

Definition at line 304 of file OgreCommon.h.

Referenced by Ogre::TRect< T >::operator=(), Ogre::Font::setGlyphTexCoords(), and Ogre::TRect< T >::width().

template<typename T>

T Ogre::TRect< T >::top

Definition at line 304 of file OgreCommon.h.

Referenced by Ogre::TRect< T >::height(), and Ogre::TRect< T >::operator=().

template<typename T>

T Ogre::TRect< T >::right

Definition at line 304 of file OgreCommon.h.

Referenced by Ogre::TRect< T >::operator=(), and Ogre::TRect< T >::width().

template<typename T>

T Ogre::TRect< T >::bottom

Definition at line 304 of file OgreCommon.h.

Referenced by Ogre::TRect< T >::height(), and Ogre::TRect< T >::operator=().

The documentation for this struct was generated from the following file:

- OgreCommon.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:20 2008